<script setup lang="ts">
  import { CmsBlockImageSlider } from '@shopware-pwa/composables-next';

  const props = defineProps<{
    content: CmsBlockImageSlider;
  }>();

  const { getSlotContent } = useCmsBlock(props.content);
  const cmsContent = getSlotContent('imageSlider');
</script>

<template>
  <div>
    <CmsGenericElement :content="cmsContent" />
  </div>
</template>
